﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
 
<table style="width:100%;">
    <tr>
        <td style="width:65px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Trucking";
                }).GetHtml()
             @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "*";
                    label.ControlStyle.ForeColor = System.Drawing.Color.Red;
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td style="width:140px;">
            @Html.Common().DevExpress().GridLookup(
                gl => 
                {
                    gl.Name = "grLPHeader";
                    gl.GridProperties.Name = "grLPHeaderGrid";
                    gl.GridProperties.KeyFieldName = "LOG_PARTNER_CD";
                    gl.GridProperties.Style.Add("padding-right", "10px");
                    gl.GridProperties.Style.Add("padding-left", "10px");
                    gl.GridProperties.CallbackRouteValues = new { Controller = "DeliveryDriverMaster", Action = "CallBackLP" };
                    gl.GridProperties.Width = Unit.Pixel(400);
                    gl.GridProperties.Height = Unit.Pixel(320);
                    gl.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    gl.ReadOnly = true;
                    gl.GridProperties.CommandColumn.ShowSelectCheckbox = true;
                     
                    gl.GridProperties.Columns.Add(
                    c =>
                    {
                        c.Name = "LPCode";
                        c.FieldName = "LOG_PARTNER_CD";
                        c.Caption = "Trucking <br> Code";
                        c.Width = Unit.Pixel(80);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    });

                    gl.GridProperties.Columns.Add(
                    c =>
                    {
                        c.Name = "LPName";
                        c.FieldName = "LOG_PARTNER_NAME";
                        c.Caption = "Trucking Name";
                    });
                }).Bind(ViewData["GridLP"]).GetHtml()
        </td>
        <td style="width:100px;">
            @Html.DevExpress().Label(
            label =>
            {
                label.ControlStyle.CssClass = "Label";
                label.Text = "Driver Name";
                label.Style.Add("padding-left", "10px");
                label.Style.Add("padding-right", "10px");
            }).GetHtml()
        </td>
        <td style="width:125px;">
            @Html.DevExpress().TextBox(
                textbox=>
                {
                    textbox.Name = "txtDriverName";
                    textbox.Width = Unit.Pixel(100);
                }).GetHtml()
                
        </td>
        <td style="width:580px;"></td>
        <td style="width:50px;">
            @Html.DevExpress().Button(
            button => 
            {
                button.Name = "btnSearch";
                button.Text = "Search";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "btnSearch_click";
            }).GetHtml()
        </td>
        <td style="width:50px;">
            @Html.DevExpress().Button(
            button => 
            {
                button.Name = "btnClear";
                button.Text = "Clear";
                button.Width = Unit.Pixel(80);
                button.Style.Add("display", "inline-table");
                button.ClientSideEvents.Click = "btnClear_click";
            }).GetHtml()
        </td>
    </tr>
</table>